View Issue Details

IDProjectCategoryView StatusLast Update
0001109Main CAcert Websitewebsite contentpublic2013-03-21 07:33
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2012 Q4 
Fixed in Version2012 Q4 
Summary0001109: Add SWIFT Number to Australian Bank Account
DescriptionSWIFT Number for Australian Bank Account WPACAU2S on
http://www.cacert.org/index.php?id=21
http://www.cacert.org/index.php?id=13 (logged-out: donation)

+ addtl.
http://www.cacert.org/index.php (main site)
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

INOPIAE

2012-10-30 22:41

updater  

13.php (4,852 bytes)   
<? /*
    LibreSSL - CAcert web application
    Copyright (C) 2004-2008  CAcert Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<H3><?=_("Donations")?></H3><br>

<h4><?=_("If I'd like to donate to CAcert Inc., how can I do it?")?></h4>

<p>
<?
printf(_("CAcert Inc. is a non-profit association which is legally able to accept donations. CAcert adheres to %sstrict guidelines%s about how this money can to be used. If you'd like to make a donation, you can do so via"),
	'<a href="//wiki.cacert.org/FAQ/DonationsGuideline">', '</a>');
?>

<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="image" src="/images/payment2.png" border="0" name="submit" alt="<?=_("CAcert Donation through PayPal")?>">
<input type="hidden" name="encrypted" value="-----BEGIN PKCS7-----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-----END PKCS7-----">
</form>

<p><?=_("If you are located in Australia, please use bank transfer instead:")?></p>

<pre>
Account Name: CAcert Inc
SWIFT:        WPACAU2S
BSB:          032073
Account No.:  180264
</pre>

<p><?=_("ANY amount will be appreciated - the more funding CAcert receives, the sooner it can achieve the goals of the community.")?></p>

<p><?=_("Thank you very much for your support, your donations help CAcert to continue to operate.")?></p>


<h3><?=_("Using Our Affiliate Partners")?></h3>

<h4>Booking.com</h4>

<p><?=_("If you do any trips where you need accommodation why not book via booking.com?")?></p>

<p><?php
	printf(_("For any booking done over %s started from this page CAcert gets a share of the provision. You do not pay more but you will support CAcert."),
		'<a href="//www.booking.com/index.html?aid=346253">booking.com</a>');
	?></p>

13.php (4,852 bytes)   

INOPIAE

2012-10-30 22:42

updater  

21.php (4,713 bytes)   
<? /*
    LibreSSL - CAcert web application
    Copyright (C) 2004-2008  CAcert Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>

<h3><?=_("For CAcert Association Members")?></h3>

<b><?=_("Have you paid your CAcert Association membership fees for the year?")?></b>
<p><?=_("If not then select this PayPal button to establish annual payment of your US$10 membership fee.")?></p>
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="image" src="/images/payment2.png" border="0" name="submit" alt="Make payments with PayPal">
<input type="hidden" name="encrypted" value="-----BEGIN PKCS7-----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-----END PKCS7-----
">
</form>

<p><?=_("To do a single US$10 Membership-Fee Payment, please use this button:")?></p>
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="586280">
<input type="image" src="/images/btn_paynowCC_LG.gif" border="0" name="submit" alt="">
</form> 

<p><?=_("If you are located in Australia, you can use bank transfer instead and pay the equivalent of US$10 in AU$.")?></p>

<p><?=_("Please also include your name in the transaction so we know who it came from and send an email to secretary at cacert dot org with the details:")?></p>

<ul>
<li>Account Name: CAcert Inc</li>
<li>SWIFT:        WPACAU2S</li>
<li>BSB:          032073</li>
<li>Account No.:  180264</li>
</ul>
<br/><br/>
21.php (4,713 bytes)   

INOPIAE

2012-10-30 22:43

updater   ~0003293

in 13.pho added line 38
in 21.php added line 43

INOPIAE

2012-11-20 20:47

updater   ~0003349

added the code to git hub https://github.com/INOPIAE/CAcert/tree/bug-1109

Uli60

2012-11-20 22:13

updater   ~0003355

logged-out: Donate /index.php?id=13
SWIFT: WPACAU2S
=> ok

logged-on: Donate /account.php?id=38
has
SWIFT: WPACAU2S
=> ok


logged-out: /index.php (is 0)
SWIFT: WPACAU2S
=> ok


/index.php?id=21
not avail thru any visible links
not found
=> remove the file
=> fail (or explain how a user can access this routine
through regular menu options or subpage links

Uli60

2012-11-20 23:47

updater   ~0003357

Last edited: 2012-11-20 23:55

View 2 revisions

id=21 => link from several wiki pages
http://www.cacert.org/index.php?id=21

a. https://wiki.cacert.org/Price
b. https://wiki.cacert.org/CacertMembership/DE
c. https://wiki.cacert.org/CacertMembership
d. https://wiki.cacert.org/CAcertInc
e. https://wiki.cacert.org/Brain/CAcertInc

Uli60

2012-11-20 23:54

updater   ~0003358

http://cacert1.it-sls.de/index.php?id=21
SWIFT: WPACAU2S
=> ok

Uli60

2012-11-21 00:04

updater   ~0003360

final test

logged-out: Donate /index.php?id=13
SWIFT: WPACAU2S
=> ok

logged-in: Donations
https://cacert1.it-sls.de/account.php?id=38
SWIFT: WPACAU2S
=> ok

id=21 => link from several wiki pages
http://www.cacert.org/index.php?id=21
-> http://cacert1.it-sls.de/index.php?id=21
SWIFT: WPACAU2S
=> ok

logged-out: main page
https://cacert1.it-sls.de/index.php
SWIFT: WPACAU2S
=> ok

INOPIAE

2012-11-21 00:07

updater   ~0003361

Changes visible on
pages/index/0.php
pages/index/13.php
pages/index/21.php

=>ok

Uli60

2012-11-21 00:09

updater   ~0003362

tested by 2, needs 2nd review and transfer to critical

Uli60

2012-11-27 23:04

updater   ~0003368

2nd review by NEO
=> Ok

Uli60

2012-11-27 23:08

updater   ~0003369

tested by Uli60, INOPIAE
reviewed by BenBe, NEO
ready to deploy

NEOatNHNG

2012-12-09 22:43

administrator   ~0003385

Sent to critical admins

iang

2012-12-10 06:38

developer   ~0003391

hmmm.... not sure if I understand the precise thing here but isn't the better strategy to point the entire page to a wiki page that we can modify as per normal?

wytze

2012-12-11 14:40

developer   ~0003392

The patch has been installed on the production server on December 11, 2012. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2012-12/msg00000.html

Werner Dworak

2013-03-21 07:32

updater   ~0003836

More than 3 months solved

Issue History

Date Modified Username Field Change
2012-10-30 22:35 INOPIAE New Issue
2012-10-30 22:41 INOPIAE File Added: 13.php
2012-10-30 22:42 INOPIAE File Added: 21.php
2012-10-30 22:43 INOPIAE Note Added: 0003293
2012-10-30 22:43 INOPIAE Assigned To => INOPIAE
2012-10-30 22:43 INOPIAE Status new => fix available
2012-11-20 20:47 INOPIAE Note Added: 0003349
2012-11-20 21:15 BenBE Source_changeset_attached => cacert-devel testserver e16c001d
2012-11-20 21:15 INOPIAE Source_changeset_attached => cacert-devel testserver a859ed1b
2012-11-20 21:40 BenBE Source_changeset_attached => cacert-devel testserver e798c7de
2012-11-20 21:40 INOPIAE Source_changeset_attached => cacert-devel testserver ee7647ed
2012-11-20 21:50 BenBE Source_changeset_attached => cacert-devel testserver e3c5719d
2012-11-20 21:50 INOPIAE Source_changeset_attached => cacert-devel testserver 2ce94e5c
2012-11-20 21:52 Uli60 Status fix available => needs review & testing
2012-11-20 21:52 Uli60 Description Updated View Revisions
2012-11-20 22:03 Uli60 Description Updated View Revisions
2012-11-20 22:05 BenBE Source_changeset_attached => cacert-devel testserver 0a6ad512
2012-11-20 22:05 INOPIAE Source_changeset_attached => cacert-devel testserver c0423e5e
2012-11-20 22:13 Uli60 Note Added: 0003355
2012-11-20 23:17 BenBE Reviewed by => BenBE
2012-11-20 23:47 Uli60 Note Added: 0003357
2012-11-20 23:54 Uli60 Note Added: 0003358
2012-11-20 23:55 Uli60 Note Edited: 0003357 View Revisions
2012-11-21 00:00 BenBE Source_changeset_attached => cacert-devel testserver e63663e3
2012-11-21 00:00 INOPIAE Source_changeset_attached => cacert-devel testserver 2f4fec0c
2012-11-21 00:00 INOPIAE Source_changeset_attached => cacert-devel testserver 091f360b
2012-11-21 00:04 Uli60 Note Added: 0003360
2012-11-21 00:07 INOPIAE Note Added: 0003361
2012-11-21 00:09 Uli60 Note Added: 0003362
2012-11-21 00:09 Uli60 Assigned To INOPIAE => NEOatNHNG
2012-11-21 00:09 Uli60 Status needs review & testing => needs review
2012-11-27 23:04 Uli60 Note Added: 0003368
2012-11-27 23:08 Uli60 Note Added: 0003369
2012-11-27 23:08 Uli60 Status needs review => ready to deploy
2012-12-09 22:43 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2012-12-09 22:43 NEOatNHNG Note Added: 0003385
2012-12-10 06:38 iang Note Added: 0003391
2012-12-11 14:40 wytze Note Added: 0003392
2012-12-11 14:40 wytze Status ready to deploy => solved?
2012-12-11 14:40 wytze Resolution open => fixed
2013-01-13 08:23 INOPIAE Fixed in Version => 2012 Q4
2013-03-21 07:32 Werner Dworak Note Added: 0003836
2013-03-21 07:32 Werner Dworak Status solved? => closed
2013-03-21 07:33 Werner Dworak Product Version => 2012 Q4